Closed Bug 1480799 Opened 3 years ago Closed 3 years ago

Intermittent LeakSanitizer | leak at alloc_system::platform::_$LT$impl$u20$core..alloc..GlobalAlloc$u20$for$u20$alloc_system..System$GT$::alloc::h5a1f0db41e296502, __rdl_alloc, alloc::alloc::alloc::hb6317adf94d93093, _$LT$alloc..alloc..Global$u20$as$u20$c

Categories

(Core :: DOM: Core & HTML, defect, P3)

defect

Tracking

()

RESOLVED FIXED

People

(Reporter: intermittent-bug-filer, Assigned: mccr8)

References

(Depends on 1 open bug, Blocks 1 open bug)

Details

(Keywords: intermittent-failure, Whiteboard: [stockwell fixed:other])

Attachments

(1 file)

Filed by: btara [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=191829908&repo=mozilla-central

https://queue.taskcluster.net/v1/task/NHxWPLiaRE6T2bfcXC_8-A/runs/0/artifacts/public/logs/live_backing.log

[task 2018-08-03T11:43:38.404Z] 11:43:38     INFO - LeakSanitizer | To show the addresses of leaked objects add report_objects=1 to LSAN_OPTIONS
[task 2018-08-03T11:43:38.405Z] 11:43:38     INFO - This can be done in testing/mozbase/mozrunner/mozrunner/utils.py
[task 2018-08-03T11:43:38.405Z] 11:43:38     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_calloc, js_pod_arena_calloc, maybe_pod_calloc, AllocScriptData
[task 2018-08-03T11:43:38.406Z] 11:43:38     INFO - INFO | LeakSanitizer | Frame js_arena_calloc matched a expected leak
[task 2018-08-03T11:43:38.407Z] 11:43:38     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_realloc, js_pod_realloc, maybe_pod_realloc, js::Nursery::reallocateBuffer
[task 2018-08-03T11:43:38.407Z] 11:43:38     INFO - INFO | LeakSanitizer | Frame js_pod_realloc matched a expected leak
[task 2018-08-03T11:43:38.408Z] 11:43:38     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at alloc_system::platform::_$LT$impl$u20$core..alloc..GlobalAlloc$u20$for$u20$alloc_system..System$GT$::alloc::h5a1f0db41e296502, __rdl_alloc, alloc::alloc::alloc::hb6317adf94d93093, _$LT$alloc..alloc..Global$u20$as$u20$core..alloc..Alloc$GT$::alloc::hd131ddf56291b3cf
[task 2018-08-03T11:43:38.410Z] 11:43:38     INFO - TEST-FAIL | LeakSanitizer | leak at js_pod_arena_malloc, js_pod_malloc, maybe_pod_malloc, js::TenuringTracer::moveSlotsToTenured
[task 2018-08-03T11:43:38.410Z] 11:43:38     INFO - INFO | LeakSanitizer | Frame js_pod_malloc matched a expected leak
[task 2018-08-03T11:43:38.411Z] 11:43:38     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_realloc, js_pod_realloc, maybe_pod_realloc, ExtractWellSized
[task 2018-08-03T11:43:38.412Z] 11:43:38     INFO - INFO | LeakSanitizer | Frame js_pod_realloc matched a expected leak
[task 2018-08-03T11:43:38.412Z] 11:43:38     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_calloc, js_pod_arena_calloc, maybe_pod_calloc, pod_calloc
[task 2018-08-03T11:43:38.413Z] 11:43:38     INFO - INFO | LeakSanitizer | Frame js_arena_calloc matched a expected leak
[task 2018-08-03T11:43:38.413Z] 11:43:38     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_calloc, js_pod_arena_calloc, maybe_pod_calloc, pod_callocCanGC
[task 2018-08-03T11:43:38.413Z] 11:43:38     INFO - INFO | LeakSanitizer | Frame js_arena_calloc matched a expected leak
[task 2018-08-03T11:43:38.414Z] 11:43:38     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at Alloc, nsTSubstring, nsTSubstring, nsTSubstring
[task 2018-08-03T11:43:38.416Z] 11:43:38     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_realloc, js_pod_realloc, maybe_pod_realloc, ReallocateObjectBuffer
[task 2018-08-03T11:43:38.417Z] 11:43:38     INFO - INFO | LeakSanitizer | Frame js_pod_realloc matched a expected leak
[task 2018-08-03T11:43:38.417Z] 11:43:38     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_malloc, js_new, MakeUnique, HashChildren
[task 2018-08-03T11:43:38.417Z] 11:43:38     INFO - INFO | LeakSanitizer | Frame js_arena_malloc matched a expected leak
[task 2018-08-03T11:43:38.418Z] 11:43:38     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::dom::Performance::CreateForMainThread, nsPIDOMWindowInner::CreatePerformanceObjectIfNeeded, nsPIDOMWindowInner::GetPerformance, mozilla::dom::Window_Binding::get_performance
[task 2018-08-03T11:43:38.418Z] 11:43:38     INFO - TEST-FAIL | LeakSanitizer | leak at js_pod_arena_malloc, js_pod_malloc, maybe_pod_malloc, tryNewTenuredObject
[task 2018-08-03T11:43:38.418Z] 11:43:38     INFO - INFO | LeakSanitizer | Frame js_pod_malloc matched a expected leak
[task 2018-08-03T11:43:38.418Z] 11:43:38     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_malloc, js_pod_arena_malloc, js_pod_malloc, maybe_pod_malloc
[task 2018-08-03T11:43:38.419Z] 11:43:38     INFO - INFO | LeakSanitizer | Frame js_arena_malloc matched a expected leak
[task 2018-08-03T11:43:38.419Z] 11:43:38     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_realloc, js_pod_realloc, maybe_pod_realloc, pod_realloc
[task 2018-08-03T11:43:38.420Z] 11:43:38     INFO - INFO | LeakSanitizer | Frame js_pod_realloc matched a expected leak
[task 2018-08-03T11:43:38.420Z] 11:43:38  WARNING - u'runner_teardown': ()
[task 2018-08-03T11:43:38.421Z] 11:43:38     INFO - STDOUT: Setting up LSAN
[task 2018-08-03T11:43:38.421Z] 11:43:38     INFO - INFO | runtests.py | ASan using symbolizer at /builds/worker/workspace/build/application/firefox/llvm-symbolizer
[task 2018-08-03T11:43:38.422Z] 11:43:38     INFO - LSan enabled.
[task 2018-08-03T11:43:38.422Z] 11:43:38     INFO - LSan using suppression file /builds/worker/workspace/build/tests/web-platform/prefs/lsan_suppressions.txt
[task 2018-08-03T11:43:38.423Z] 11:43:38     INFO - INFO | runtests.py | ASan running in default memory configuration
[task 2018-08-03T11:43:38.423Z] 11:43:38     INFO - Setting up ssl
[task 2018-08-03T11:43:38.439Z] 11:43:38     INFO - certutil | 
[task 2018-08-03T11:43:38.495Z] 11:43:38     INFO - certutil | 
[task 2018-08-03T11:43:38.536Z] 11:43:38     INFO - certutil | 
[task 2018-08-03T11:43:38.536Z] 11:43:38     INFO - Certificate Nickname                                         Trust Attributes
[task 2018-08-03T11:43:38.537Z] 11:43:38     INFO -                                                              SSL,S/MIME,JAR/XPI
[task 2018-08-03T11:43:38.537Z] 11:43:38     INFO - 
[task 2018-08-03T11:43:38.537Z] 11:43:38     INFO - web-platform-tests                                           CT,,
There have been 38 failures within the last 7 days, all of them on Linux x64 asan.

Failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=195895702&repo=mozilla-inbound&lineNumber=69447



[task 2018-08-25T04:19:46.208Z] 04:19:46     INFO - PID 3101 | -----------------------------------------------------
[task 2018-08-25T04:19:46.208Z] 04:19:46     INFO - PID 3101 | Suppressions used:
[task 2018-08-25T04:19:46.209Z] 04:19:46     INFO - PID 3101 |   count      bytes template
[task 2018-08-25T04:19:46.209Z] 04:19:46     INFO - PID 3101 |     481      57831 libc.so
[task 2018-08-25T04:19:46.210Z] 04:19:46     INFO - PID 3101 |    1868     103292 nsComponentManagerImpl
[task 2018-08-25T04:19:46.210Z] 04:19:46     INFO - PID 3101 |     201      29495 mozJSComponentLoader::LoadModule
[task 2018-08-25T04:19:46.212Z] 04:19:46     INFO - PID 3101 |     901      29368 libfontconfig.so
[task 2018-08-25T04:19:46.212Z] 04:19:46     INFO - PID 3101 |       1         29 libglib-2.0.so
[task 2018-08-25T04:19:46.212Z] 04:19:46     INFO - PID 3101 | -----------------------------------------------------
[task 2018-08-25T04:19:46.759Z] 04:19:46     INFO - PID 3101 | -----------------------------------------------------
[task 2018-08-25T04:19:46.761Z] 04:19:46     INFO - PID 3101 | Suppressions used:
[task 2018-08-25T04:19:46.761Z] 04:19:46     INFO - PID 3101 |   count      bytes template
[task 2018-08-25T04:19:46.762Z] 04:19:46     INFO - PID 3101 |     620      19800 nsComponentManagerImpl
[task 2018-08-25T04:19:46.762Z] 04:19:46     INFO - PID 3101 |      38       7904 mozJSComponentLoader::LoadModule
[task 2018-08-25T04:19:46.763Z] 04:19:46     INFO - PID 3101 |     611      17509 libfontconfig.so
[task 2018-08-25T04:19:46.763Z] 04:19:46     INFO - PID 3101 |       8        352 _PR_Getfd
[task 2018-08-25T04:19:46.764Z] 04:19:46     INFO - PID 3101 |       1         29 libglib-2.0.so
[task 2018-08-25T04:19:46.764Z] 04:19:46     INFO - PID 3101 | -----------------------------------------------------
[task 2018-08-25T04:19:46.914Z] 04:19:46     INFO - Browser exited with return code 0
[task 2018-08-25T04:19:46.915Z] 04:19:46     INFO - ERROR | LeakSanitizer | SUMMARY: AddressSanitizer: 447291 byte(s) leaked in 5955 allocation(s).
[task 2018-08-25T04:19:46.915Z] 04:19:46     INFO - LeakSanitizer | To show the addresses of leaked objects add report_objects=1 to LSAN_OPTIONS
[task 2018-08-25T04:19:46.916Z] 04:19:46     INFO - This can be done in testing/mozbase/mozrunner/mozrunner/utils.py
[task 2018-08-25T04:19:46.916Z] 04:19:46     INFO - TEST-FAIL | LeakSanitizer | leak at js_pod_arena_malloc, js_pod_malloc, maybe_pod_malloc, js::detail::OrderedHashTable
[task 2018-08-25T04:19:46.916Z] 04:19:46     INFO - INFO | LeakSanitizer | Frame js_pod_malloc matched a expected leak
[task 2018-08-25T04:19:46.916Z] 04:19:46     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at alloc_system::platform::_$LT$impl$u20$core..alloc..GlobalAlloc$u20$for$u20$alloc_system..System$GT$::alloc::h5a1f0db41e296502, __rdl_alloc, alloc::alloc::alloc::hb6317adf94d93093, _$LT$alloc..alloc..Global$u20$as$u20$core..alloc..Alloc$GT$::alloc::hd131ddf56291b3cf
[task 2018-08-25T04:19:46.916Z] 04:19:46     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at Realloc, nsTArray_base, AppendElement, mozilla::dom::ChromeUtils::GenerateQI
[task 2018-08-25T04:19:46.917Z] 04:19:46     INFO - TEST-FAIL | LeakSanitizer | leak at js_pod_arena_malloc, js_pod_malloc, maybe_pod_malloc, pod_malloc
[task 2018-08-25T04:19:46.917Z] 04:19:46     INFO - INFO | LeakSanitizer | Frame js_pod_malloc matched a expected leak
[task 2018-08-25T04:19:46.917Z] 04:19:46     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at EntrySlotOrCreate, EntrySlotOrCreate, mozilla::dom::ContentProcessMessageManager_Binding::CreateInterfaceObjects, mozilla::dom::GetPerInterfaceObjectHandle
[task 2018-08-25T04:19:46.918Z] 04:19:46     INFO - TEST-FAIL | LeakSanitizer | leak at js_pod_arena_malloc, js_pod_malloc, maybe_pod_malloc, tryNewTenuredObject
[task 2018-08-25T04:19:46.918Z] 04:19:46     INFO - INFO | LeakSanitizer | Frame js_pod_malloc matched a expected leak
[task 2018-08-25T04:19:46.918Z] 04:19:46     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_malloc, js_pod_arena_malloc, js_pod_malloc, maybe_pod_malloc
[task 2018-08-25T04:19:46.923Z] 04:19:46     INFO - INFO | LeakSanitizer | Frame js_arena_malloc matched a expected leak
[task 2018-08-25T04:19:46.924Z] 04:19:46     INFO - TEST-FAIL | LeakSanitizer | leak at mozilla::net::nsStandardURL::TemplatedMutator, Init, mozilla::net::nsStandardURL::TemplatedMutator, operator
[task 2018-08-25T04:19:46.925Z] 04:19:46     INFO - INFO | LeakSanitizer | Frame Init matched a expected leak
[task 2018-08-25T04:19:46.926Z] 04:19:46     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_realloc, js_pod_realloc, maybe_pod_realloc, js::Nursery::reallocateBuffer
[task 2018-08-25T04:19:46.926Z] 04:19:46     INFO - INFO | LeakSanitizer | Frame js_pod_realloc matched a expected leak
[task 2018-08-25T04:19:46.926Z] 04:19:46     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at EntrySlotOrCreate, EntrySlotOrCreate, mozilla::dom::MozQueryInterface_Binding::CreateInterfaceObjects, mozilla::dom::GetPerInterfaceObjectHandle
[task 2018-08-25T04:19:46.927Z] 04:19:46     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at alloc_system::platform::_$LT$impl$u20$core..alloc..GlobalAlloc$u20$for$u20$alloc_system..System$GT$::realloc::hfdaa883bde7dcfa7, __rdl_realloc, alloc::alloc::realloc::h0a0d89dd05a218f2, _$LT$alloc..alloc..Global$u20$as$u20$core..alloc..Alloc$GT$::realloc::h71997db91db49980
[task 2018-08-25T04:19:46.927Z] 04:19:46     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::dom::ChromeUtils::GenerateQI, mozilla::dom::ChromeUtils_Binding::generateQI, CallJSNative, js::InternalCallOrConstruct
[task 2018-08-25T04:19:46.928Z] 04:19:46     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_malloc, js_new, MakeUnique, HashChildren
[task 2018-08-25T04:19:46.929Z] 04:19:46     INFO - INFO | LeakSanitizer | Frame js_arena_malloc matched a expected leak
[task 2018-08-25T04:19:46.929Z] 04:19:46     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at Alloc, nsTSubstring, ReplacePrepInternal, nsTSubstring
[task 2018-08-25T04:19:46.931Z] 04:19:46     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::dom::PerformanceMainThread::CreateNavigationTimingEntry, mozilla::dom::Performance::CreateForMainThread, nsPIDOMWindowInner::CreatePerformanceObjectIfNeeded, nsPIDOMWindowInner::GetPerformance
[task 2018-08-25T04:19:46.931Z] 04:19:46     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at EntrySlotOrCreate, EntrySlotOrCreate, mozilla::dom::MatchPatternSet_Binding::CreateInterfaceObjects, mozilla::dom::GetPerInterfaceObjectHandle
[task 2018-08-25T04:19:46.932Z] 04:19:46     INFO - TEST-FAIL | LeakSanitizer | leak at js_pod_arena_calloc, maybe_pod_calloc, js::ShapeTable::change, grow
[task 2018-08-25T04:19:46.933Z] 04:19:46     INFO - INFO | LeakSanitizer | Frame js_pod_arena_calloc matched a expected leak
[task 2018-08-25T04:19:46.934Z] 04:19:46     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_calloc, js_pod_arena_calloc, maybe_pod_calloc, js::ShapeTable::init
[task 2018-08-25T04:19:46.934Z] 04:19:46     INFO - INFO | LeakSanitizer | Frame js_arena_calloc matched a expected leak
[task 2018-08-25T04:19:46.935Z] 04:19:46     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_calloc, js_pod_arena_calloc, maybe_pod_calloc, pod_calloc
[task 2018-08-25T04:19:46.936Z] 04:19:46     INFO - INFO | LeakSanitizer | Frame js_arena_calloc matched a expected leak
[task 2018-08-25T04:19:46.936Z] 04:19:46     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at Alloc, nsTSubstring, Gecko_StartBulkWriteString, nsstring::nsAString::start_bulk_write_impl::ha57e8df45afa3901
[task 2018-08-25T04:19:46.937Z] 04:19:46     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_malloc, js::irregexp::BoyerMooreLookahead::EmitSkipInstructions, js::irregexp::ChoiceNode::Emit, js::irregexp::RegExpCompiler::Assemble
[task 2018-08-25T04:19:46.938Z] 04:19:46     INFO - INFO | LeakSanitizer | Frame js_arena_malloc matched a expected leak
[task 2018-08-25T04:19:46.938Z] 04:19:46     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at Alloc, nsTSubstring, SetCapacity, nsTSubstring
[task 2018-08-25T04:19:46.939Z] 04:19:46     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at AllocateProtoAndIfaceCache, mozilla::dom::CreateGlobal, mozilla::dom::Window_Binding::Wrap, nsGlobalWindowOuter::SetNewDocument
[task 2018-08-25T04:19:46.940Z] 04:19:46     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::dom::Performance::CreateForMainThread, nsPIDOMWindowInner::CreatePerformanceObjectIfNeeded, nsPIDOMWindowInner::GetPerformance, mozilla::dom::Window_Binding::get_performance
[task 2018-08-25T04:19:46.942Z] 04:19:46  WARNING - u'runner_teardown': ()
Whiteboard: [stockwell needswork]
This bug has 47 failures in the last 7 days only on Linux affecting asan build type.
Link to the latest log: https://treeherder.mozilla.org/logviewer.html#?job_id=197180702&repo=mozilla-inbound&lineNumber=69321
Part of that log: 
  [task 2018-09-03T10:47:26.174Z] 10:47:26     INFO - PID 3124 | Indirect leak of 12 byte(s) in 1 object(s) allocated from:
[task 2018-09-03T10:47:26.175Z] 10:47:26     INFO - PID 3124 |     #0 0x4c2233 in malloc /builds/worker/workspace/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:88:3
[task 2018-09-03T10:47:26.175Z] 10:47:26     INFO - PID 3124 |     #1 0x7f9a0f863e6c in js_arena_malloc /builds/worker/workspace/build/src/obj-firefox/dist/include/js/Utility.h:387:12
[task 2018-09-03T10:47:26.176Z] 10:47:26     INFO - PID 3124 |     #2 0x7f9a0f863e6c in js_pod_arena_malloc<char> /builds/worker/workspace/build/src/obj-firefox/dist/include/js/Utility.h:584
[task 2018-09-03T10:47:26.177Z] 10:47:26     INFO - PID 3124 |     #3 0x7f9a0f863e6c in js_pod_malloc<char> /builds/worker/workspace/build/src/obj-firefox/dist/include/js/Utility.h:591
[task 2018-09-03T10:47:26.178Z] 10:47:26     INFO - PID 3124 |     #4 0x7f9a0f863e6c in maybe_pod_malloc<char> /builds/worker/workspace/build/src/js/src/vm/MallocProvider.h:54
[task 2018-09-03T10:47:26.179Z] 10:47:26     INFO - PID 3124 |     #5 0x7f9a0f863e6c in pod_malloc<char> /builds/worker/workspace/build/src/js/src/vm/MallocProvider.h:87
[task 2018-09-03T10:47:26.179Z] 10:47:26     INFO - PID 3124 |     #6 0x7f9a0f863e6c in make_pod_array<char> /builds/worker/workspace/build/src/js/src/vm/MallocProvider.h:122
[task 2018-09-03T10:47:26.181Z] 10:47:26     INFO - PID 3124 |     #7 0x7f9a0f863e6c in js::DuplicateString(JSContext*, char const*) /builds/worker/workspace/build/src/js/src/util/Text.cpp:54
[task 2018-09-03T10:47:26.181Z] 10:47:26     INFO - PID 3124 |     #8 0x7f9a0fb7422a in setFilename /builds/worker/workspace/build/src/js/src/vm/JSScript.cpp:2294:17
[task 2018-09-03T10:47:26.182Z] 10:47:26     INFO - PID 3124 |     #9 0x7f9a0fb7422a in js::ScriptSource::initFromOptions(JSContext*, JS::ReadOnlyCompileOptions const&, mozilla::Maybe<unsigned int> const&) /builds/worker/workspace/build/src/js/src/vm/JSScript.cpp:2277
[task 2018-09-03T10:47:26.182Z] 10:47:26     INFO - PID 3124 |     #10 0x7f9a1024ec17 in js::frontend::CreateScriptSourceObject(JSContext*, JS::ReadOnlyCompileOptions const&, mozilla::Maybe<unsigned int> const&) /builds/worker/workspace/build/src/js/src/frontend/BytecodeCompiler.cpp:514:14
[task 2018-09-03T10:47:26.183Z] 10:47:26     INFO - PID 3124 |     #11 0x7f9a0fb9aea9 in CreateEmptyScriptForClone(JSContext*, JS::Handle<JSScript*>) /builds/worker/workspace/build/src/js/src/vm/JSScript.cpp:3617:39
[task 2018-09-03T10:47:26.185Z] 10:47:26     INFO - PID 3124 |     #12 0x7f9a0fb9c010 in js::CloneScriptIntoFunction(JSContext*, JS::Handle<js::Scope*>, JS::Handle<JSFunction*>, JS::Handle<JSScript*>) /builds/worker/workspace/build/src/js/src/vm/JSScript.cpp:3667:26
[task 2018-09-03T10:47:26.185Z] 10:47:26     INFO - PID 3124 |     #13 0x7f9a0fc8eef9 in JSRuntime::cloneSelfHostedFunctionScript(JSContext*, JS::Handle<js::PropertyName*>, JS::Handle<JSFunction*>) /builds/worker/workspace/build/src/js/src/vm/SelfHosting.cpp:3261:10
[task 2018-09-03T10:47:26.186Z] 10:47:26     INFO - PID 3124 |     #14 0x7f9a0fada5cf in JSFunction::createScriptForLazilyInterpretedFunction(JSContext*, JS::Handle<JSFunction*>) /builds/worker/workspace/build/src/js/src/vm/JSFunction.cpp:1685:27
[task 2018-09-03T10:47:26.186Z] 10:47:26     INFO - PID 3124 |     #15 0x7f9a0ecb6cfc in getOrCreateScript /builds/worker/workspace/build/src/js/src/vm/JSFunction.h:536:18
[task 2018-09-03T10:47:26.188Z] 10:47:26     INFO - PID 3124 |     #16 0x7f9a0ecb6cfc in Interpret(JSContext*, js::RunState&) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:3278
[task 2018-09-03T10:47:26.188Z] 10:47:26     INFO - PID 3124 |     #17 0x7f9a0ec9c7ce in js::RunScript(JSContext*, js::RunState&) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:429:12
[task 2018-09-03T10:47:26.189Z] 10:47:26     INFO - PID 3124 |     #18 0x7f9a0ecd2e58 in js::ExecuteKernel(JSContext*, JS::Handle<JSScript*>, JSObject&, JS::Value const&, js::AbstractFramePtr, JS::Value*) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:777:15
[task 2018-09-03T10:47:26.189Z] 10:47:26     INFO - PID 3124 |     #19 0x7f9a0ecd35f2 in js::Execute(JSContext*, JS::Handle<JSScript*>, JSObject&, JS::Value*) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:809:12
[task 2018-09-03T10:47:26.191Z] 10:47:26     INFO - PID 3124 |     #20 0x7f9a0f75925d in ExecuteScript(JSContext*, JS::AutoVector<JSObject*>&, JS::Handle<JSScript*>, JS::Value*) /builds/worker/workspace/build/src/js/src/jsapi.cpp:4679:12
[task 2018-09-03T10:47:26.191Z] 10:47:26     INFO - PID 3124 |     #21 0x7f9a06380336 in nsJSUtils::ExecutionContext::CompileAndExec(JS::CompileOptions&, JS::SourceBufferHolder&, JS::MutableHandle<JSScript*>) /builds/worker/workspace/build/src/dom/base/nsJSUtils.cpp:254:8
[task 2018-09-03T10:47:26.192Z] 10:47:26     INFO - PID 3124 |     #22 0x7f9a0aaaaaae in mozilla::dom::ScriptLoader::EvaluateScript(mozilla::dom::ScriptLoadRequest*) /builds/worker/workspace/build/src/dom/script/ScriptLoader.cpp:2421:29
[task 2018-09-03T10:47:26.193Z] 10:47:26     INFO - PID 3124 |     #23 0x7f9a0aaa4a15 in mozilla::dom::ScriptLoader::ProcessRequest(mozilla::dom::ScriptLoadRequest*) /builds/worker/workspace/build/src/dom/script/ScriptLoader.cpp:2044:10
[task 2018-09-03T10:47:26.194Z] 10:47:26     INFO - PID 3124 |     #24 0x7f9a0aaa1867 in mozilla::dom::ScriptLoader::ProcessInlineScript(nsIScriptElement*, mozilla::dom::ScriptKind) /builds/worker/workspace/build/src/dom/script/ScriptLoader.cpp:1644:10
[task 2018-09-03T10:47:26.194Z] 10:47:26     INFO - PID 3124 |     #25 0x7f9a0aa7fa5f in mozilla::dom::ScriptLoader::ProcessScriptElement(nsIScriptElement*) /builds/worker/workspace/build/src/dom/script/ScriptLoader.cpp:1364:10
[task 2018-09-03T10:47:26.195Z] 10:47:26     INFO - PID 3124 |     #26 0x7f9a0aa7e6a4 in mozilla::dom::ScriptElement::MaybeProcessScript() /builds/worker/workspace/build/src/dom/script/ScriptElement.cpp:141:18
[task 2018-09-03T10:47:26.195Z] 10:47:26     INFO - PID 3124 |     #27 0x7f9a0506b844 in AttemptToExecute /builds/worker/workspace/build/src/obj-firefox/dist/include/nsIScriptElement.h:258:18
[task 2018-09-03T10:47:26.197Z] 10:47:26     INFO - PID 3124 |     #28 0x7f9a0506b844 in nsHtml5TreeOpExecutor::RunScript(nsIContent*) /builds/worker/workspace/build/src/parser/html/nsHtml5TreeOpExecutor.cpp:738
[task 2018-09-03T10:47:26.197Z] 10:47:26     INFO - PID 3124 |     #29 0x7f9a05064bc3 in nsHtml5TreeOpExecutor::RunFlushLoop() /builds/worker/workspace/build/src/parser/html/nsHtml5TreeOpExecutor.cpp:537:7
[task 2018-09-03T10:47:26.198Z] 10:47:26     INFO - PID 3124 |     #30 0x7f9a05070efb in nsHtml5ExecutorFlusher::Run() /builds/worker/workspace/build/src/parser/html/nsHtml5StreamParser.cpp:121:18
[task 2018-09-03T10:47:26.198Z] 10:47:26     INFO - PID 3124 |     #31 0x7f9a02fd5e7e in mozilla::SchedulerGroup::Runnable::Run() /builds/worker/workspace/build/src/xpcom/threads/SchedulerGroup.cpp:337:32
[task 2018-09-03T10:47:26.200Z] 10:47:26     INFO - PID 3124 |     #32 0x7f9a03003cef in nsThread::ProcessNextEvent(bool, bool*) /builds/worker/workspace/build/src/xpcom/threads/nsThread.cpp:1161:14
[task 2018-09-03T10:47:26.200Z] 10:47:26     INFO - PID 3124 |     #33 0x7f9a0300ae88 in NS_ProcessNextEvent(nsIThread*, bool) /builds/worker/workspace/build/src/xpcom/threads/nsThreadUtils.cpp:519:10
[task 2018-09-03T10:47:26.201Z] 10:47:26     INFO - PID 3124 |     #34 0x7f9a03f481e6 in mozilla::ipc::MessagePump::Run(base::MessagePump::Delegate*) /builds/worker/workspace/build/src/ipc/glue/MessagePump.cpp:125:5
[task 2018-09-03T10:47:26.201Z] 10:47:26     INFO - PID 3124 |     #35 0x7f9a03e9ba7c in RunInternal /builds/worker/workspace/build/src/ipc/chromium/src/base/message_loop.cc:325:10
[task 2018-09-03T10:47:26.203Z] 10:47:26     INFO - PID 3124 |     #36 0x7f9a03e9ba7c in RunHandler /builds/worker/workspace/build/src/ipc/chromium/src/base/message_loop.cc:318
[task 2018-09-03T10:47:26.203Z] 10:47:26     INFO - PID 3124 |     #37 0x7f9a03e9ba7c in MessageLoop::Run() /builds/worker/workspace/build/src/ipc/chromium/src/base/message_loop.cc:298
[task 2018-09-03T10:47:26.204Z] 10:47:26     INFO - PID 3124 |     #38 0x7f9a0ad6dd6a in nsBaseAppShell::Run() /builds/worker/workspace/build/src/widget/nsBaseAppShell.cpp:158:27
[task 2018-09-03T10:47:26.204Z] 10:47:26     INFO - PID 3124 |     #39 0x7f9a0e9fb50f in XRE_RunAppShell() /builds/worker/workspace/build/src/toolkit/xre/nsEmbedFunctions.cpp:944:22
[task 2018-09-03T10:47:26.204Z] 10:47:26     INFO - PID 3124 |     #40 0x7f9a03e9ba7c in RunInternal /builds/worker/workspace/build/src/ipc/chromium/src/base/message_loop.cc:325:10
[task 2018-09-03T10:47:26.206Z] 10:47:26     INFO - PID 3124 |     #41 0x7f9a03e9ba7c in RunHandler /builds/worker/workspace/build/src/ipc/chromium/src/base/message_loop.cc:318
[task 2018-09-03T10:47:26.206Z] 10:47:26     INFO - PID 3124 |     #42 0x7f9a03e9ba7c in MessageLoop::Run() /builds/worker/workspace/build/src/ipc/chromium/src/base/message_loop.cc:298
[task 2018-09-03T10:47:26.207Z] 10:47:26     INFO - PID 3124 | -----------------------------------------------------
[task 2018-09-03T10:47:26.207Z] 10:47:26     INFO - PID 3124 | Suppressions used:
[task 2018-09-03T10:47:26.209Z] 10:47:26     INFO - PID 3124 |   count      bytes template
[task 2018-09-03T10:47:26.209Z] 10:47:26     INFO - PID 3124 |     478      57231 libc.so
[task 2018-09-03T10:47:26.210Z] 10:47:26     INFO - PID 3124 |    1865     103189 nsComponentManagerImpl
[task 2018-09-03T10:47:26.210Z] 10:47:26     INFO - PID 3124 |     211      30067 mozJSComponentLoader::LoadModule
[task 2018-09-03T10:47:26.210Z] 10:47:26     INFO - PID 3124 |     901      29368 libfontconfig.so
[task 2018-09-03T10:47:26.211Z] 10:47:26     INFO - PID 3124 |       1         29 libglib-2.0.so
[task 2018-09-03T10:47:26.212Z] 10:47:26     INFO - PID 3124 | -----------------------------------------------------
[task 2018-09-03T10:47:26.773Z] 10:47:26     INFO - PID 3124 | -----------------------------------------------------
[task 2018-09-03T10:47:26.774Z] 10:47:26     INFO - PID 3124 | Suppressions used:
[task 2018-09-03T10:47:26.774Z] 10:47:26     INFO - PID 3124 |   count      bytes template
[task 2018-09-03T10:47:26.775Z] 10:47:26     INFO - PID 3124 |     618      19736 nsComponentManagerImpl
[task 2018-09-03T10:47:26.775Z] 10:47:26     INFO - PID 3124 |      38       7904 mozJSComponentLoader::LoadModule
[task 2018-09-03T10:47:26.776Z] 10:47:26     INFO - PID 3124 |     611      17509 libfontconfig.so
[task 2018-09-03T10:47:26.776Z] 10:47:26     INFO - PID 3124 |       8        352 _PR_Getfd
[task 2018-09-03T10:47:26.777Z] 10:47:26     INFO - PID 3124 |       1         29 libglib-2.0.so
[task 2018-09-03T10:47:26.777Z] 10:47:26     INFO - PID 3124 | -----------------------------------------------------
[task 2018-09-03T10:47:26.959Z] 10:47:26     INFO - Browser exited with return code 0
[task 2018-09-03T10:47:26.960Z] 10:47:26     INFO - ERROR | LeakSanitizer | SUMMARY: AddressSanitizer: 448018 byte(s) leaked in 5945 allocation(s).
[task 2018-09-03T10:47:26.960Z] 10:47:26     INFO - LeakSanitizer | To show the addresses of leaked objects add report_objects=1 to LSAN_OPTIONS
[task 2018-09-03T10:47:26.961Z] 10:47:26     INFO - This can be done in testing/mozbase/mozrunner/mozrunner/utils.py
[task 2018-09-03T10:47:26.961Z] 10:47:26     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at alloc_system::platform::_$LT$impl$u20$core..alloc..GlobalAlloc$u20$for$u20$alloc_system..System$GT$::alloc::h5a1f0db41e296502, __rdl_alloc, alloc::alloc::alloc::hb6317adf94d93093, _$LT$alloc..alloc..Global$u20$as$u20$core..alloc..Alloc$GT$::alloc::hd131ddf56291b3cf
[task 2018-09-03T10:47:26.962Z] 10:47:26     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at Realloc, nsTArray_base, AppendElement, mozilla::dom::ChromeUtils::GenerateQI
[task 2018-09-03T10:47:26.962Z] 10:47:26     INFO - TEST-FAIL | LeakSanitizer | leak at js_pod_arena_malloc, js_pod_malloc, maybe_pod_malloc, pod_malloc
[task 2018-09-03T10:47:26.963Z] 10:47:26     INFO - INFO | LeakSanitizer | Frame js_pod_malloc matched a expected leak
[task 2018-09-03T10:47:26.963Z] 10:47:26     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at EntrySlotOrCreate, EntrySlotOrCreate, mozilla::dom::ContentProcessMessageManager_Binding::CreateInterfaceObjects, mozilla::dom::GetPerInterfaceObjectHandle
[task 2018-09-03T10:47:26.964Z] 10:47:26     INFO - TEST-FAIL | LeakSanitizer | leak at js_pod_arena_malloc, js_pod_malloc, maybe_pod_malloc, tryNewTenuredObject
[task 2018-09-03T10:47:26.964Z] 10:47:26     INFO - INFO | LeakSanitizer | Frame js_pod_malloc matched a expected leak
[task 2018-09-03T10:47:26.964Z] 10:47:26     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_malloc, js_pod_arena_malloc, js_pod_malloc, maybe_pod_malloc
[task 2018-09-03T10:47:26.965Z] 10:47:26     INFO - INFO | LeakSanitizer | Frame js_arena_malloc matched a expected leak
[task 2018-09-03T10:47:26.965Z] 10:47:26     INFO - TEST-FAIL | LeakSanitizer | leak at mozilla::net::nsStandardURL::TemplatedMutator, Init, mozilla::net::nsStandardURL::TemplatedMutator, operator
[task 2018-09-03T10:47:26.966Z] 10:47:26     INFO - INFO | LeakSanitizer | Frame Init matched a expected leak
[task 2018-09-03T10:47:26.966Z] 10:47:26     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_realloc, js_pod_realloc, maybe_pod_realloc, js::Nursery::reallocateBuffer
[task 2018-09-03T10:47:26.966Z] 10:47:26     INFO - INFO | LeakSanitizer | Frame js_pod_realloc matched a expected leak
[task 2018-09-03T10:47:26.967Z] 10:47:26     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at EntrySlotOrCreate, EntrySlotOrCreate, mozilla::dom::MozQueryInterface_Binding::CreateInterfaceObjects, mozilla::dom::GetPerInterfaceObjectHandle
[task 2018-09-03T10:47:26.967Z] 10:47:26     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at alloc_system::platform::_$LT$impl$u20$core..alloc..GlobalAlloc$u20$for$u20$alloc_system..System$GT$::realloc::hfdaa883bde7dcfa7, __rdl_realloc, alloc::alloc::realloc::h0a0d89dd05a218f2, _$LT$alloc..alloc..Global$u20$as$u20$core..alloc..Alloc$GT$::realloc::h71997db91db49980
[task 2018-09-03T10:47:26.968Z] 10:47:26     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::dom::ChromeUtils::GenerateQI, mozilla::dom::ChromeUtils_Binding::generateQI, CallJSNative, js::InternalCallOrConstruct
[task 2018-09-03T10:47:26.969Z] 10:47:26     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_malloc, js_new, MakeUnique, HashChildren
[task 2018-09-03T10:47:26.969Z] 10:47:26     INFO - INFO | LeakSanitizer | Frame js_arena_malloc matched a expected leak
[task 2018-09-03T10:47:26.969Z] 10:47:26     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at Alloc, nsTSubstring, ReplacePrepInternal, nsTSubstring
[task 2018-09-03T10:47:26.970Z] 10:47:26     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::dom::PerformanceMainThread::CreateNavigationTimingEntry, mozilla::dom::Performance::CreateForMainThread, nsPIDOMWindowInner::CreatePerformanceObjectIfNeeded, nsPIDOMWindowInner::GetPerformance
[task 2018-09-03T10:47:26.970Z] 10:47:26     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at EntrySlotOrCreate, EntrySlotOrCreate, mozilla::dom::MatchPatternSet_Binding::CreateInterfaceObjects, mozilla::dom::GetPerInterfaceObjectHandle
[task 2018-09-03T10:47:26.971Z] 10:47:26     INFO - TEST-FAIL | LeakSanitizer | leak at js_pod_arena_calloc, maybe_pod_calloc, js::ShapeTable::change, grow
[task 2018-09-03T10:47:26.971Z] 10:47:26     INFO - INFO | LeakSanitizer | Frame js_pod_arena_calloc matched a expected leak
[task 2018-09-03T10:47:26.973Z] 10:47:26     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_calloc, js_pod_arena_calloc, maybe_pod_calloc, js::ShapeTable::init
[task 2018-09-03T10:47:26.973Z] 10:47:26     INFO - INFO | LeakSanitizer | Frame js_arena_calloc matched a expected leak
[task 2018-09-03T10:47:26.974Z] 10:47:26     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_calloc, js_pod_arena_calloc, maybe_pod_calloc, pod_calloc
[task 2018-09-03T10:47:26.974Z] 10:47:26     INFO - INFO | LeakSanitizer | Frame js_arena_calloc matched a expected leak
[task 2018-09-03T10:47:26.974Z] 10:47:26     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at Alloc, nsTSubstring, Gecko_StartBulkWriteString, nsstring::nsAString::start_bulk_write_impl::ha57e8df45afa3901
[task 2018-09-03T10:47:26.975Z] 10:47:26     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_malloc, js::irregexp::BoyerMooreLookahead::EmitSkipInstructions, js::irregexp::ChoiceNode::Emit, js::irregexp::RegExpCompiler::Assemble
[task 2018-09-03T10:47:26.975Z] 10:47:26     INFO - INFO | LeakSanitizer | Frame js_arena_malloc matched a expected leak
[task 2018-09-03T10:47:26.976Z] 10:47:26     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at Alloc, nsTSubstring, SetCapacity, nsTSubstring
[task 2018-09-03T10:47:26.976Z] 10:47:26     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at AllocateProtoAndIfaceCache, mozilla::dom::CreateGlobal, mozilla::dom::Window_Binding::Wrap, nsGlobalWindowOuter::SetNewDocument
[task 2018-09-03T10:47:26.977Z] 10:47:26     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::dom::Performance::CreateForMainThread, nsPIDOMWindowInner::CreatePerformanceObjectIfNeeded, nsPIDOMWindowInner::GetPerformance, mozilla::dom::Window_Binding::get_performance
[task 2018-09-03T10:47:26.980Z] 10:47:26  WARNING - u'runner_teardown': ()
[task 2018-09-03T10:47:26.981Z] 10:47:26     INFO - STDOUT: Setting up LSAN
[task 2018-09-03T10:47:26.982Z] 10:47:26     INFO - INFO | runtests.py | ASan using symbolizer at /builds/worker/workspace/build/application/firefox/llvm-symbolizer
[task 2018-09-03T10:47:26.990Z] 10:47:26     INFO - LSan enabled.
[task 2018-09-03T10:47:26.990Z] 10:47:26     INFO - LSan using suppression file /builds/worker/workspace/build/tests/web-platform/prefs/lsan_suppressions.txt
[task 2018-09-03T10:47:26.990Z] 10:47:26     INFO - INFO | runtests.py | ASan running in default memory configuration
[task 2018-09-03T10:47:27.007Z] 10:47:27     INFO - Setting up ssl
[task 2018-09-03T10:47:27.063Z] 10:47:27     INFO - certutil | 
[task 2018-09-03T10:47:27.119Z] 10:47:27     INFO - certutil | 
[task 2018-09-03T10:47:27.168Z] 10:47:27     INFO - certutil | 
[task 2018-09-03T10:47:27.168Z] 10:47:27     INFO - Certificate Nickname                                         Trust Attributes
[task 2018-09-03T10:47:27.168Z] 10:47:27     INFO -                                                              SSL,S/MIME,JAR/XPI
[task 2018-09-03T10:47:27.168Z] 10:47:27     INFO - 
[task 2018-09-03T10:47:27.169Z] 10:47:27     INFO - web-platform-tests                                           CT,, 
[task 2018-09-03T10:47:27.169Z] 10:47:27     INFO - 
[task 2018-09-03T10:47:27.186Z] 10:47:27     INFO - Application command: /builds/worker/workspace/build/application/firefox/firefox --marionette about:blank -profile /tmp/tmpVno_m1.mozrunner

:sdetar could you please take a look?
Flags: needinfo?(sdetar)
This bug has failed 84 times in the last 7 days. Failures occur on Linux64 asan build type.

Here is a recent log:
https://treeherder.mozilla.org/logviewer.html#?job_id=200382585&repo=mozilla-inbound&lineNumber=69255

 INFO - Browser exited with return code -15
[task 2018-09-20T08:02:49.380Z] 08:02:49     INFO - LeakSanitizer | To show the addresses of leaked objects add report_objects=1 to LSAN_OPTIONS
[task 2018-09-20T08:02:49.380Z] 08:02:49     INFO - This can be done in testing/mozbase/mozrunner/mozrunner/utils.py
[task 2018-09-20T08:02:49.381Z] 08:02:49     INFO - TEST-FAIL | LeakSanitizer | leak at Alloc, nsTSubstring, nsTSubstring, nsTSubstring
[task 2018-09-20T08:02:49.381Z] 08:02:49     INFO - INFO | LeakSanitizer | Frame Alloc matched a expected leak
[task 2018-09-20T08:02:49.382Z] 08:02:49     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_calloc, js_pod_arena_calloc, maybe_pod_calloc, AllocScriptData
[task 2018-09-20T08:02:49.382Z] 08:02:49     INFO - INFO | LeakSanitizer | Frame js_arena_calloc matched a expected leak
[task 2018-09-20T08:02:49.384Z] 08:02:49     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_realloc, js_pod_realloc, maybe_pod_realloc, js::Nursery::reallocateBuffer
[task 2018-09-20T08:02:49.385Z] 08:02:49     INFO - INFO | LeakSanitizer | Frame js_pod_realloc matched a expected leak
[task 2018-09-20T08:02:49.385Z] 08:02:49     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_calloc, js_pod_arena_calloc, maybe_pod_calloc, pod_calloc
[task 2018-09-20T08:02:49.386Z] 08:02:49     INFO - INFO | LeakSanitizer | Frame js_arena_calloc matched a expected leak
[task 2018-09-20T08:02:49.386Z] 08:02:49     INFO - TEST-FAIL | LeakSanitizer | leak at mozilla::dom::Navigator::Credentials, mozilla::dom::Navigator_Binding::get_credentials, mozilla::dom::binding_detail::GenericGetter, CallJSNative
[task 2018-09-20T08:02:49.387Z] 08:02:49     INFO - INFO | LeakSanitizer | Frame mozilla::dom::Navigator::Credentials matched a expected leak
[task 2018-09-20T08:02:49.387Z] 08:02:49     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_realloc, js_pod_realloc, maybe_pod_realloc, ExtractWellSized
[task 2018-09-20T08:02:49.388Z] 08:02:49     INFO - INFO | LeakSanitizer | Frame js_pod_realloc matched a expected leak
[task 2018-09-20T08:02:49.388Z] 08:02:49     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_calloc, js_pod_arena_calloc, maybe_pod_calloc, pod_callocCanGC
[task 2018-09-20T08:02:49.389Z] 08:02:49     INFO - INFO | LeakSanitizer | Frame js_arena_calloc matched a expected leak
[task 2018-09-20T08:02:49.389Z] 08:02:49     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at alloc_system::platform::_$LT$impl$u20$core..alloc..GlobalAlloc$u20$for$u20$alloc_system..System$GT$::alloc::hd3c140e687e2a935, __rdl_alloc, alloc::alloc::alloc::hf4c0e6161a4aa006, _$LT$alloc..alloc..Global$u20$as$u20$core..alloc..Alloc$GT$::alloc::hba35ce24d450e3bc
[task 2018-09-20T08:02:49.390Z] 08:02:49     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at alloc_system::platform::_$LT$impl$u20$core..alloc..GlobalAlloc$u20$for$u20$alloc_system..System$GT$::realloc::h5c6d61654badfe59, __rdl_realloc, alloc::alloc::realloc::h0565706b5394b0ea, _$LT$alloc..alloc..Global$u20$as$u20$core..alloc..Alloc$GT$::realloc::h2293428650a5271e
[task 2018-09-20T08:02:49.390Z] 08:02:49     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_realloc, js_pod_realloc, maybe_pod_realloc, ReallocateObjectBuffer
[task 2018-09-20T08:02:49.391Z] 08:02:49     INFO - INFO | LeakSanitizer | Frame js_pod_realloc matched a expected leak
[task 2018-09-20T08:02:49.391Z] 08:02:49     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_malloc, js_new, MakeUnique, HashChildren
[task 2018-09-20T08:02:49.391Z] 08:02:49     INFO - INFO | LeakSanitizer | Frame js_arena_malloc matched a expected leak
[task 2018-09-20T08:02:49.392Z] 08:02:49     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_malloc, js_pod_arena_malloc, js_pod_malloc, maybe_pod_malloc
[task 2018-09-20T08:02:49.392Z] 08:02:49     INFO - INFO | LeakSanitizer | Frame js_arena_malloc matched a expected leak
[task 2018-09-20T08:02:49.393Z] 08:02:49     INFO - TEST-FAIL | LeakSanitizer | leak at js_pod_arena_malloc, js_pod_malloc, maybe_pod_malloc, AllocateObjectBuffer
[task 2018-09-20T08:02:49.393Z] 08:02:49     INFO - INFO | LeakSanitizer | Frame js_pod_malloc matched a expected leak
[task 2018-09-20T08:02:49.393Z] 08:02:49     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_realloc, js_pod_realloc, maybe_pod_realloc, pod_realloc
[task 2018-09-20T08:02:49.394Z] 08:02:49     INFO - INFO | LeakSanitizer | Frame js_pod_realloc matched a expected leak
[task 2018-09-20T08:02:49.394Z] 08:02:49     INFO - TEST-FAIL | LeakSanitizer | leak at mozilla::dom::DOMException::Create, mozilla::dom::CreateException, mozilla::dom::ToJSValue, MaybeSomething
[task 2018-09-20T08:02:49.395Z] 08:02:49     INFO - INFO | LeakSanitizer | Frame mozilla::dom::DOMException::Create matched a expected leak
[task 2018-09-20T08:02:49.397Z] 08:02:49  WARNING - u'runner_teardown': ()
[task 2018-09-20T08:02:49.398Z] 08:02:49     INFO - STDOUT: Setting up LSAN
[task 2018-09-20T08:02:49.399Z] 08:02:49     INFO - INFO | runtests.py | ASan using symbolizer at /builds/worker/workspace/build/application/firefox/llvm-symbolizer
[task 2018-09-20T08:02:49.400Z] 08:02:49     INFO - LSan enabled.
[task 2018-09-20T08:02:49.401Z] 08:02:49     INFO - LSan using suppression file /builds/worker/workspace/build/tests/web-platform/prefs/lsan_suppressions.txt
[task 2018-09-20T08:02:49.401Z] 08:02:49     INFO - INFO | runtests.py | ASan running in default memory configuration
[task 2018-09-20T08:02:49.402Z] 08:02:49     INFO - Setting up ssl

sdetar: Can you please take a look at this bug?
Whiteboard: [stockwell unknown] → [stockwell unknown][stockwell needswork}
:jcj, Can you please have a look at these LeakSanitizer failures? There are 146 failures in the last 4 days. Thank you.
Component: JavaScript Engine → DOM: Device Interfaces
Flags: needinfo?(jjones)
Dana - I don't see anything in here that we would have touched; really, I don't see anything recognizable (to me) at all. Only starting 2 months ago, it's not a WebAuthn issue. 

Would you take a look?
Hmm, in-flight conflict cleared the ni. Trying again -

> Dana - I don't see anything in here that we would have touched; really, I
> don't see anything recognizable (to me) at all. Only starting 2 months ago,
> it's not a WebAuthn issue. 
> 
> Would you take a look?
Flags: needinfo?(jjones) → needinfo?(dkeeler)
Something called "XDR" is on a lot of those stacks. This looks more like a JS engine bug.
Component: DOM: Device Interfaces → JavaScript Engine
Flags: needinfo?(dkeeler)
I notice that the TEST-UNEXPECTED-FAIL lines (not the TEST-FAIL lines, which I assume are the result of suppressions?) all mention symbols like __rdl_realloc, which is from Rust, as well as mangled Rust symbols.  This is also true for bug 1480279, which seems to be a duplicate.

I also notice that some suppressions for __rdl_*alloc were added in bug 1475197.  I'm not sure what's going on here and if those suppressions are reasonable, but it doesn't help that there isn't enough of the stack in these log messages to get out of generic allocation code and into code that might explain what's going on.
See Also: → 1480279, 1475197
According to one of the logs I looked at, we're leaking malloc memory attached to GC things.

That reminds me a bit of the bug 1486101 cluster of bugs, sadly :/
Component: JavaScript Engine → JavaScript: GC
Flags: needinfo?(sdetar) → needinfo?(jcoppeard)
There are 41 failure in the last 7 days.
They occur on linux64 (asan).
Recent failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=207447969&repo=autoland&lineNumber=67667
jonco: Hi, this started to increase again. Could you please have a look? Thank you!
Whiteboard: [stockwell disable-recommended] → [stockwell needswork]
This is probably nothing to do with the JS engine but something in the browser leaking and holding JS GC things live.  It would be great if we could somehow dump the CC graph (and probably the GC graph too) if leaks occur as that might tell us what's responsible.

From the log, the symbol in the bug title was allocated at this stack:

Direct leak of 1560 byte(s) in 46 object(s) allocated from:
    #0 0x4c1e03 in malloc /builds/worker/workspace/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:88:3
    #1 0x7f06b33fd636 in alloc_system::platform::_$LT$impl$u20$core..alloc..GlobalAlloc$u20$for$u20$alloc_system..System$GT$::alloc::h5a1f0db41e296502 /checkout/src/liballoc_system/lib.rs:137
    #2 0x7f06b33fd636 in __rdl_alloc /checkout/src/libstd/alloc.rs:157
    #3 0x7f06b33fd636 in alloc::alloc::alloc::hb6317adf94d93093 /checkout/src/liballoc/alloc.rs:62
    #4 0x7f06b33fd636 in _$LT$alloc..alloc..Global$u20$as$u20$core..alloc..Alloc$GT$::alloc::hd131ddf56291b3cf /checkout/src/liballoc/alloc.rs:123
    #5 0x7f06b33fd636 in _$LT$alloc..raw_vec..RawVec$LT$T$C$$u20$A$GT$$GT$::allocate_in::he0cf0334d145fd1c /checkout/src/liballoc/raw_vec.rs:103
    #6 0x7f06b33fd636 in _$LT$alloc..raw_vec..RawVec$LT$T$GT$$GT$::with_capacity::h913a9a7772071653 /checkout/src/liballoc/raw_vec.rs:147
    #7 0x7f06b33fd636 in _$LT$alloc..vec..Vec$LT$T$GT$$GT$::with_capacity::hf16168761dbd5c1e /checkout/src/liballoc/vec.rs:362
    #8 0x7f06b33fd636 in _$LT$alloc..vec..Vec$LT$T$GT$$u20$as$u20$alloc..vec..SpecExtend$LT$T$C$$u20$I$GT$$GT$::from_iter::ha1e00fd44c568ad3 /checkout/src/liballoc/vec.rs:1841
    #9 0x7f06b33fd636 in _$LT$alloc..vec..Vec$LT$T$GT$$u20$as$u20$core..iter..traits..FromIterator$LT$T$GT$$GT$::from_iter::h65b44a114a79dc9d /checkout/src/liballoc/vec.rs:1749
    #10 0x7f06b33fd636 in core::iter::iterator::Iterator::collect::h2bd44f9d163cb816 /checkout/src/libcore/iter/iterator.rs:1419
    #11 0x7f06b33fd636 in _$LT$smallvec..SmallVec$LT$A$GT$$GT$::into_vec::h6cd2d65afa6349b7 /builds/worker/workspace/build/src/third_party/rust/smallvec/lib.rs:815
    #12 0x7f06b33fd636 in selectors::parser::parse_negation::h8da85b17adab77f7 /builds/worker/workspace/build/src/servo/components/selectors/parser.rs:1801
    #13 0x7f06b33fd636 in selectors::parser::parse_functional_pseudo_class::h8f8fdc39c91ea88a /builds/worker/workspace/build/src/servo/components/selectors/parser.rs:1945
    #14 0x7f06b33f6949 in selectors::parser::parse_one_simple_selector::_$u7b$$u7b$closure$u7d$$u7d$::h49719ff5ab5cdac1 /builds/worker/workspace/build/src/servo/components/selectors/parser.rs:2053
    #15 0x7f06b33f6949 in cssparser::parser::Parser::parse_entirely::h399357bcde94f924 /builds/worker/workspace/build/src/third_party/rust/cssparser/src/parser.rs:594
    #16 0x7f06b33f6949 in cssparser::parser::parse_nested_block::he93b63cffd91860a /builds/worker/workspace/build/src/third_party/rust/cssparser/src/parser.rs:964
    #17 0x7f06b33f6949 in cssparser::parser::Parser::parse_nested_block::h631a2a7d741dbae1 /builds/worker/workspace/build/src/third_party/rust/cssparser/src/parser.rs:642
    #18 0x7f06b33f6949 in selectors::parser::parse_one_simple_selector::hc3bb82ad8acbaa1a /builds/worker/workspace/build/src/servo/components/selectors/parser.rs:2052

Picking the last person to edit parser.rs.  Emilio, do you have any idea what's going wrong here?
Flags: needinfo?(jcoppeard) → needinfo?(emilio)
Hmm, no idea off-hand, but selectors don't hold JS things alive. Stylesheets and such do, so chances are that something is keeping alive a stylesheet which end up keeping alive the parsed selectors...

I'd note that that stack there does make sense, but that the ones from the last log like:

#0 0x55812be97662 in realloc /builds/worker/workspace/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:107:3
#1 0x7fe462aa6489 in alloc_system::platform::_$LT$impl$u20$core..alloc..GlobalAlloc$u20$for$u20$alloc_system..System$GT$::realloc::h34549c3885eaf1cf /checkout/src/liballoc_system/lib.rs:170:16
#2 0x7fe462aa6489 in __rdl_realloc /checkout/src/libstd/alloc.rs:176
#3 0x7fe462aa6489 in alloc::alloc::realloc::h385afb627a5455e7 /checkout/src/liballoc/alloc.rs:98
#4 0x7fe462aa6489 in _$LT$alloc..alloc..Global$u20$as$u20$core..alloc..Alloc$GT$::realloc::h43dbed97d2987d05 /checkout/src/liballoc/alloc.rs:138
#5 0x7fe462aa6489 in _$LT$alloc..raw_vec..RawVec$LT$T$C$$u20$A$GT$$GT$::reserve_internal::h9c9e3df688568695 /checkout/src/liballoc/raw_vec.rs:677
#6 0x7fe462aa6489 in _$LT$alloc..raw_vec..RawVec$LT$T$C$$u20$A$GT$$GT$::reserve::h5a5023aa74344899 /checkout/src/liballoc/raw_vec.rs:502
#7 0x7fe462aa6489 in _$LT$alloc..vec..Vec$LT$T$GT$$GT$::reserve::h7e99a93357abd7d5 /checkout/src/liballoc/vec.rs:464
#8 0x7fe462aa6489 in _$LT$alloc..vec..Vec$LT$T$GT$$GT$::push::h382fa94bdf965db0 /checkout/src/liballoc/vec.rs:1066
#9 0x7fe462aa6489 in cssparser::parser::Parser::parse_comma_separated::he40b00436f281f43 /builds/worker/workspace/build/src/third_party/rust/cssparser/src/parser.rs:619
#10 0x7fe462aa6489 in selectors::parser::parse_compound_selector_list::h0a6e8b8166acab34 /builds/worker/workspace/build/src/servo/components/selectors/parser.rs:285
#11 0x7fe462aa6489 in style::gecko::selector_parser::_$LT$impl$u20$selectors..parser..Parser$LT$$u27$i$GT$$u20$for$u20$style..selector_parser..SelectorParser$LT$$u27$a$GT$$GT$::parse_non_ts_functional_pseudo_class::hdb4970cb477bc95a /builds/worker/workspace/build/src/servo/components/style/gecko/selector_parser.rs:399
#12 0x7fe462a98002 in _$LT$style..values..generics..grid..TrackRepeat$LT$L$C$$u20$I$GT$$u20$as$u20$style_traits..values..ToCss$GT$::to_css::h2cc1025421395cb8 /builds/worker/workspace/build/src/servo/components/style/values/generics/grid.rs:419:42
#13 0x4880  (<unknown module>)

Don't make any sense at all... (TrackRepeat::to_css definitely doesn't do selector parsing).

In any case, it looks to me like something is leaking a selector list. The fact that this is a selector but there are no rule leaks or anything makes me think that the selector needs to be stored in the document's SelectorCache:

  https://searchfox.org/mozilla-central/rev/a7f4d3ba4fbfe3efbde832869f1d672fce7122f6/dom/base/nsIDocument.h#1515

Which is the only place where we put selectors that are parsed independently from rules I think.

I don't know how to interpret that full log, but what this suggests me is that we're leaking a document (on which something called one of the DOM APIs that parse selectors like querySelector, etc.).

Jon, does that sound plausible? The logs from there have a whole lot of stuff related to documents, but those don't fail, are they whitelisted somehow?
Flags: needinfo?(emilio) → needinfo?(jcoppeard)
(In reply to Emilio Cobos Álvarez (:emilio) from comment #33)
> I don't know how to interpret that full log, but what this suggests me is
> that we're leaking a document (on which something called one of the DOM APIs
> that parse selectors like querySelector, etc.).

Thanks for looking into this.  That does sound plausible.  Based on this I'm moving this to the DOM component.

Andrew, any ideas?
Component: JavaScript: GC → DOM
Flags: needinfo?(jcoppeard) → needinfo?(continuation)
It looks like these leaks are almost all happening in the /performance-timeline/ directory. I'm not sure why this started happening so much, though the first instances of this were not long after we started doing leak checking for these tests. Maybe bug 1501979 would help?
Blocks: LSan
Depends on: 1501979
testing/web-platform/meta/performance-timeline/__dir__.ini has a bunch of expected leaks that look similar to this. I suspect that something changed in the stack and that this isn't a new leak. This is why white lists are bad. :)

[task 2018-10-24T17:50:27.534Z] 17:50:27     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at alloc_system::platform::_$LT$impl$u20$core..alloc..GlobalAlloc$u20$for$u20$alloc_system..System$GT$::alloc::h38d0c1e89ece92eb, __rdl_alloc, alloc::alloc::alloc::hf837b642e4bf5f0b, _$LT$alloc..alloc..Global$u20$as$u20$core..alloc..Alloc$GT$::alloc::h53384f8fe813facd

__rdl_alloc is in the white list, so I'm not sure why this isn't being flagged. Maybe all the weird garbage in the Rust symbol is confusing something? James, any ideas?
Flags: needinfo?(continuation) → needinfo?(james)
It looks like we started getting the same leak in at least webauthn/ So I don't think there's a problem with the way that we allow leaks (apart from the generic problems that entails), but we either need to fix this or update the lists to allow it in more places.
Flags: needinfo?(james)
Priority: -- → P3
This bug has failed 85 times in the last 7 days. It occurs on linux64 on build types.

Log:
https://treeherder.mozilla.org/logviewer.html#?job_id=211647689&repo=autoland&lineNumber=26496

INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_realloc, js_pod_realloc, maybe_pod_realloc, js::Nursery::reallocateBuffer
[task 2018-11-14T12:10:22.466Z] 12:10:22     INFO - INFO | LeakSanitizer | Frame js_pod_realloc matched a expected leak
[task 2018-11-14T12:10:22.468Z] 12:10:22     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at alloc_system::platform::_$LT$impl$u20$core..alloc..GlobalAlloc$u20$for$u20$alloc_system..System$GT$::alloc::h82bf91dcf8d89ced, __rdl_alloc, alloc::alloc::alloc::h20a7d0505176962b, _$LT$alloc..alloc..Global$u20$as$u20$core..alloc..Alloc$GT$::alloc::h40b7a00e8d496106
[task 2018-11-14T12:10:22.468Z] 12:10:22     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_calloc, js_pod_arena_calloc, maybe_pod_calloc, pod_calloc
[task 2018-11-14T12:10:22.468Z] 12:10:22     INFO - INFO | LeakSanitizer | Frame js_arena_calloc matched a expected leak
[task 2018-11-14T12:10:22.469Z] 12:10:22     INFO - TEST-FAIL | LeakSanitizer | leak at mozilla::dom::Navigator::Credentials, mozilla::dom::Navigator_Binding::get_credentials, mozilla::dom::binding_detail::GenericGetter, CallJSNative
[task 2018-11-14T12:10:22.469Z] 12:10:22     INFO - INFO | LeakSanitizer | Frame mozilla::dom::Navigator::Credentials matched a expected leak
[task 2018-11-14T12:10:22.470Z] 12:10:22     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_realloc, js_pod_realloc, maybe_pod_realloc, ExtractWellSized
[task 2018-11-14T12:10:22.470Z] 12:10:22     INFO - INFO | LeakSanitizer | Frame js_pod_realloc matched a expected leak
[task 2018-11-14T12:10:22.472Z] 12:10:22     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_calloc, js_pod_arena_calloc, maybe_pod_calloc, pod_callocCanGC
[task 2018-11-14T12:10:22.472Z] 12:10:22     INFO - INFO | LeakSanitizer | Frame js_arena_calloc matched a expected leak
[task 2018-11-14T12:10:22.473Z] 12:10:22     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_realloc, js_pod_realloc, maybe_pod_realloc, ReallocateObjectBuffer
[task 2018-11-14T12:10:22.473Z] 12:10:22     INFO - INFO | LeakSanitizer | Frame js_pod_realloc matched a expected leak
[task 2018-11-14T12:10:22.474Z] 12:10:22     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_malloc, js_new, MakeUnique, HashChildren
[task 2018-11-14T12:10:22.474Z] 12:10:22     INFO - INFO | LeakSanitizer | Frame js_arena_malloc matched a expected leak
[task 2018-11-14T12:10:22.475Z] 12:10:22     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_malloc, js_pod_arena_malloc, js_pod_malloc, maybe_pod_malloc
[task 2018-11-14T12:10:22.475Z] 12:10:22     INFO - INFO | LeakSanitizer | Frame js_arena_malloc matched a expected leak
[task 2018-11-14T12:10:22.475Z] 12:10:22     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at alloc_system::platform::_$LT$impl$u20$core..alloc..GlobalAlloc$u20$for$u20$alloc_system..System$GT$::realloc::h3ab64a4bcafe2c39, __rdl_realloc, alloc::alloc::realloc::hbc81271cebb49ca3, _$LT$alloc..alloc..Global$u20$as$u20$core..alloc..Alloc$GT$::realloc::hf2186fc1218183de
[task 2018-11-14T12:10:22.476Z] 12:10:22     INFO - TEST-FAIL | LeakSanitizer | leak at Alloc, nsTSubstring, nsTSubstring, NonVoidStringToJsval
[task 2018-11-14T12:10:22.476Z] 12:10:22     INFO - INFO | LeakSanitizer | Frame Alloc matched a expected leak
[task 2018-11-14T12:10:22.477Z] 12:10:22     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_realloc, js_pod_realloc, maybe_pod_realloc, pod_realloc
[task 2018-11-14T12:10:22.478Z] 12:10:22     INFO - INFO | LeakSanitizer | Frame js_pod_realloc matched a expected leak
[task 2018-11-14T12:10:22.478Z] 12:10:22     INFO - TEST-FAIL | LeakSanitizer | leak at mozilla::dom::DOMException::Create, mozilla::dom::CreateException, mozilla::dom::ToJSValue, MaybeSomething
[task 2018-11-14T12:10:22.479Z] 12:10:22     INFO - INFO | LeakSanitizer | Frame mozilla::dom::DOMException::Create matched a expected leak
[task 2018-11-14T12:10:22.482Z] 12:10:22     INFO - Closing logging queue
[task 2018-11-14T12:10:22.483Z] 12:10:22     INFO - queue closed
[task 2018-11-14T12:10:22.485Z] 12:10:22     INFO - INFO | runtests.py | ASan using symbolizer at /builds/worker/workspace/build/application/firefox/llvm-symbolizer
[task 2018-11-14T12:10:22.485Z] 12:10:22     INFO - STDOUT: Setting up LSAN
[task 2018-11-14T12:10:22.485Z] 12:10:22     INFO - LSan enabled.
[task 2018-11-14T12:10:22.486Z] 12:10:22     INFO - LSan using suppression file /builds/worker/workspace/build/tests/web-platform/prefs/lsan_suppressions.txt
[task 2018-11-14T12:10:22.486Z] 12:10:22     INFO - INFO | runtests.py | ASan running in default memory configuration
[task 2018-11-14T12:10:22.487Z] 12:10:22     INFO - Setting up ssl
[task 2018-11-14T12:10:22.523Z] 12:10:22     INFO - certutil | 
[task 2018-11-14T12:10:22.584Z] 12:10:22     INFO - certutil | 
[task 2018-11-14T12:10:22.626Z] 12:10:22     INFO - certutil | 
[task 2018-11-14T12:10:22.627Z] 12:10:22     INFO - Certificate Nickname                                         Trust Attributes
[task 2018-11-14T12:10:22.627Z] 12:10:22     INFO -                                                              SSL,S/MIME,JAR/XPI
[task 2018-11-14T12:10:22.627Z] 12:10:22     INFO - 
[task 2018-11-14T12:10:22.627Z] 12:10:22     INFO - web-platform-tests                                           CT,, 
[task 2018-11-14T12:10:22.628Z] 12:10:22     INFO - 
[task 2018-11-14T12:10:22.644Z] 12:10:22     INFO - Application command: /builds/worker/workspace/build/application/firefox/firefox --marionette about:blank -profile /tmp/tmpKt333Z.mozrunner
[task 2018-11-14T12:10:22.660Z] 12:10:22     INFO - Starting runner
[task 2018-11-14T12:10:24.242Z] 12:10:24     INFO - PID 31804 | 1542197424239	addons.webextension.screenshots@mozilla.org	WARN	Loading extension 'screenshots@mozilla.org': Reading manifest: Invalid host permission: resource://pdf.js/
[task 2018-11-14T12:10:24.244Z] 12:10:24     INFO - PID 31804 | 1542197424240	addons.webextension.screenshots@mozilla.org	WARN	Loading extension 'screenshots@mozilla.org': Reading manifest: Invalid host permission: about:reader*
[task 2018-11-14T12:10:29.880Z] 12:10:29     INFO - PID 31804 | 1542197429872	Marionette	INFO	Listening on port 2828
[task 2018-11-14T12:10:30.642Z] 12:10:30     INFO - TEST-START | /webmessaging/without-ports/001.html
[task 2018-11-14T12:10:31.220Z] 12:10:31     INFO - .
[task 2018-11-14T12:10:31.221Z] 12:10:31     INFO - TEST-OK | /webmessaging/without-ports/001.html | took 579ms
[task 2018-11-14T12:10:31.221Z] 12:10:31     INFO - TEST-START | /webmessaging/without-ports/002.html
[task 2018-11-14T12:10:31.242Z] 12:10:31     INFO - Closing window 4294967301
[task 2018-11-14T12:10:32.291Z] 12:10:32     INFO - .

overholt: Can you please take a look at this bug?
Flags: needinfo?(overholt)
jgraham or I need to figure out how to whitelist more stuff so this leak stops showing up. Hopefully I can get to that today...
Flags: needinfo?(continuation)
Flags: needinfo?(overholt)
This got a lot worse at some point on either the 11th or the 12th. Unlike when I looked at this previous, the new surge seems to be in the /webauthn/ directory.

I suspect the problem is all of the crud at the end of the Rust signature. In the whitelist it is h5a1f0db41e296502 or hd3c140e687e2a935, but in the crash it is something else:

alloc_system::platform::_$LT$impl$u20$core..alloc..GlobalAlloc$u20$for$u20$alloc_system..System$GT$::alloc::h82bf91dcf8d89ced

Maybe I can just delete that crud from the tail and it will work. I'll have to dig into the code for the whitelist.
I filed bug 1507350 on the garbled stacks.
Depends on: 1507350
Flags: needinfo?(continuation)
Keywords: leave-open
Pushed by amccreight@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/b7d7c8b1dcb2
Remove weird Rust characters from white list in the webauthn directory. r=jgraham
There's been one of these oranges since it landed, but it was in the /css/css-fonts/font-display/ directory, so maybe my patch is helping.
(In reply to Andreea Pavel [:apavel] from comment #57)
> So far only one occurrence: 
> https://treeherder.mozilla.org/logviewer.html#?job_id=212408049&repo=mozilla-
> inbound&lineNumber=23242

That's in the /trusted-types/ WPT directory, which I didn't patch. Bug 1507550 should fix all of the less common instances of this leak.
Depends on: 1507550
(In reply to Andrew McCreight [:mccr8] from comment #59)
> (In reply to Andreea Pavel [:apavel] from comment #57)
> > So far only one occurrence: 
> > https://treeherder.mozilla.org/logviewer.html#?job_id=212408049&repo=mozilla-
> > inbound&lineNumber=23242
> 
> That's in the /trusted-types/ WPT directory, which I didn't patch. Bug
> 1507550 should fix all of the less common instances of this leak.

Okay Andrew, thanks.
No occurrences in the last 7 days.
Whiteboard: [stockwell disable-recommended] → [stockwell fixed:other]
This is permafailing on release since this merge on dec 3: https://hg.mozilla.org/releases/mozilla-release/pushloghtml?changeset=f040763d99ad0cc888b453da4de53422593810dd

Treeherder: https://treeherder.mozilla.org/#/jobs?repo=mozilla-release&searchStr=linux%2Cx64%2Casan%2Cweb%2Cplatform%2Ctests%2Cwith%2Ce10s%2Ctest-linux64-asan%2Fopt-web-platform-tests-e10s-11%2Cw-e10s%28wpt11%29&fromchange=9ff7289af005bc97da4ce8ff49cd899f3898494e&group_state=expanded&selectedJob=215292272

It has the same two lines, first with alloc::h38d0c1e89ece92eb and second with realloc::h34549c3885eaf1cf.  

INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at alloc_system::platform::_$LT$impl$u20$core..alloc..GlobalAlloc$u20$for$u20$alloc_system..System$GT$::alloc::h38d0c1e89ece92eb, __rdl_alloc, alloc::alloc::alloc::hf837b642e4bf5f0b, _$LT$alloc..alloc..Global$u20$as$u20$core..alloc..Alloc$GT$::alloc::h53384f8fe813facd

INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at alloc_system::platform::_$LT$impl$u20$core..alloc..GlobalAlloc$u20$for$u20$alloc_system..System$GT$::realloc::h34549c3885eaf1cf, __rdl_realloc, alloc::alloc::realloc::h385afb627a5455e7, _$LT$alloc..alloc..Global$u20$as$u20$core..alloc..Alloc$GT$::realloc::h43dbed97d2987d05

Andrew, I see you had a crack at this in the past, could you please take a look over this or redirect to someone who can? Thank you.
Flags: needinfo?(continuation)
This is happening in /performance-timeline/

This is lsan-allowed in that directory on release: [Alloc, NewEmptyScopeData, __rdl_alloc, __rdl_realloc, js_new, js_pod_calloc, js_pod_malloc, js_pod_realloc, mozilla::dom::ChromeUtils::GenerateQI, mozilla::dom::Performance::CreateForMainThread, mozilla::dom::PerformanceObserver::Constructor, xpc::CreateSandboxObject]

This is the leak:
alloc_system::platform::_$LT$impl$u20$core..alloc..GlobalAlloc$u20$for$u20$alloc_system..System$GT$::alloc::h38d0c1e89ece92eb, __rdl_alloc, alloc::alloc::alloc::hf837b642e4bf5f0b, _$LT$alloc..alloc..Global$u20$as$u20$core..alloc..Alloc$GT$::alloc::h53384f8fe813facd

I would have thought the __rdl_alloc would match this.

James, any ideas?
Flags: needinfo?(james)
Depends on: 1515975
I figured out why the whitelist wasn't working. While there are leaks in performance-timeline, the actual leaks being complained about here are in webauthn. There's also some other leaks in encrypted-media, that are causing another WPT test set to fail. I'll whitelist them both in bug 1515975.
Flags: needinfo?(james)
Flags: needinfo?(continuation)
Depends on: 1515983
Depends on: 1517051
WPT tests are now green on beta and release.
Status: NEW → RESOLVED
Closed: 3 years ago
Resolution: --- → FIXED
Assignee: nobody → continuation
No longer blocks: 1519676
Component: DOM → DOM: Core & HTML
You need to log in before you can comment on or make changes to this bug.